# Generated by go2rpm {{ generator_version }}
%bcond check 1
%bcond bootstrap 0

{% if not has_cmd and main_cmd is none and other_cmd|length == 0 %}
%global debug_package %{nil}
{% else %}
%if %{with bootstrap}
%global debug_package %{nil}
%endif

{% endif %}
%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# {{ forge }}
%global goipath         {{ goipath }}
{% if not 'github.com' in goipath %}
%global forgeurl        {{ forge }}
{% endif %}
{% if altipaths is not none %}
{% for altipath in altipaths %}
%global altipath{{ loop.index }}       {{ altipath }}
%global altname{{ loop.index }}        %gorpmname %{altipath{{ loop.index }}}
{% endfor %}
{% endif %}
{% if version is not none or tag is not none %}
Version:                {{ version if version is not none else tag }}
{% endif %}
{% if tag is not none %}
%global tag             {{ tag }}
{% endif %}
{% if commit is not none %}
%global commit          {{ commit }}
{% endif %}

{% if spec_warnings %}
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# New Fedora packages should use %%gometa -f, which makes the package
# ExclusiveArch to %%golang_arches_future and thus excludes the package from
# %%ix86. If the new package is needed as a dependency for another package,
# please consider removing that package from %%ix86 in the same way, instead of
# building more go packages for i686. If your package is not a leaf package,
# you'll need to coordinate the removal of the package's dependents first.
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
{% endif %}
{% if use_new_versioning %}
%gometa -L -f
{% else %}
%gometa -f
{% endif %}

%global common_description %{expand:
{{ description|default("# FIXME", true)|wordwrap(wrapstring="\\\n")|trim }}}

Name:           {{ name }}
{% if version is none and tag is none %}
Version:        0
{% endif %}
{% if rpmautospec %}
Release:        {{ pkg_autorelease }}
{% else %}
Release:        {{ pkg_release }}%{?dist}
{% endif %}
Summary:        {{ summary|default("# FIXME") }}

License:        {{ licenses|default("# FIXME", true) }}
URL:            %{gourl}
Source0:        %{gosource}

{% if not generate_buildrequires %}
%if %{without bootstrap}
{% if buildrequires|length > 0 %}
{% set br = buildrequires|sort %}
{% for req in br %}
BuildRequires:  golang({{ req }})
{% endfor %}

{% endif %}
{% if test_buildrequires|length > 0 %}
{% set test_br = test_buildrequires|sort %}
%if %{with check}
# Tests
{% for req in test_br %}
BuildRequires:  golang({{ req }})
{% endfor %}
%endif

{% endif %}
%endif
{% endif %}
%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

{% if altipaths is not none %}
{% for altipath in altipaths %}
%package -n compat-%{altname{{ loop.index }}}-devel
Summary:    %{summary}
BuildArch:  noarch

%description -n compat-%{altname{{ loop.index }}}-devel
%{common_description}

This package contains compatibility glue for code that still imports the
%{altipath{{ loop.index }}} Go namespace.

{% endfor %}
{% endif %}
%prep
%forgeautosetup -p1

{% if generate_buildrequires %}
%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

{% endif -%}
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
%build
%gobuildroot
{% if has_cmd %}
for cmd in cmd/* ; do
  %gobuild -o _bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
{% if main_cmd is not none %}
%gobuild -o _bin/{{ main_cmd }} %{goipath}
{% endif %}
{% if other_cmd|length > 0 %}
for cmd in {{ other_cmd|sort|join(' ') }}; do
  %gobuild -o _bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
%endif

{% endif %}
%install
%goinstall
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _bin/*              %{buildroot}%{_bindir}/
%endif
{% endif %}

{% if altipaths is not none %}
{% for altipath in altipaths %}
install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{altipath{{ loop.index }}})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{altipath{{ loop.index }}}
{% endfor %}

{% endif %}
%if %{without bootstrap}
%if %{with check}
%check
%gochecks
%endif
%endif

{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%if %{without bootstrap}
%files
{% if license_files|length > 0 %}
%license {{ license_files|join(' ')|wordwrap(width=70, wrapstring="\n%license ")|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%doc {{ doc_files|join(' ')|wordwrap(width=75, wrapstring="\n%doc ")|trim }}
{% endif %}
{% if main_cmd is not none %}
%{_bindir}/{{ main_cmd }}
{% else %}
{% if spec_warnings %}
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# New Fedora packages should not use globs to avoid installing conflicting
# binaries.
# Write a _bindir line per each of the binaries the package will install.
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
{% endif %}
%{_bindir}/*
{% endif %}
%endif

{% endif %}
%files devel -f devel.file-list
{% if license_files|length > 0 %}
%license {{ license_files|join(' ')|customwordwrap(width=70, wrapstring="\n%license ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%doc {{ doc_files|join(' ')|customwordwrap(width=75, wrapstring="\n%doc ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}

{% if altipaths is not none %}
{% for altipath in altipaths %}
%files -n compat-%{altname{{ loop.index }}}-devel
%dir %{gopath}/src/%(dirname %{altipath{{ loop.index }}})
%{gopath}/src/%{altipath{{ loop.index }}}

{% endfor %}
{% endif %}
%changelog
{% if rpmautospec %}
%autochangelog
{% else %}
{% if auto_changelog_entry %}
{% if version is none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - 0-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is none and tag is not none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}
{% elif version is none and tag is not none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is not none and tag is none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}
{% elif version is not none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% endif %}
- Initial package
{% endif %}
{% endif %}
